# https://pypi.io/packages/source/p/packaging/packaging-17.1.tar.gz
%global module packaging

Name:           python-%{module}
Version:        17.1
Release:        %mkrel 1
Summary:        Core utilities for Python packages

License:        BSD or ASL 2.0
Group:          Development/Python
URL:            https://pypi.python.org/pypi/packaging
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-pyparsing
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pyparsing
BuildRequires:  python3-setuptools
Requires:       python-pyparsing
Requires:       python-six

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Requires:       python3-pyparsing
Requires:       python3-six

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
%__rm -rf %{module}.egg-info
%__cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE*
%{python2_sitelib}/*

%files -n python3-%{module}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE*
%{python3_sitelib}/*

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 17.1-1uplos2018
- imported for uplos
